package cn.estsh.i3plus.core.api.iservice.base;

import cn.estsh.i3plus.pojo.base.enumutil.ImppEnumUtil;
import io.swagger.annotations.ApiOperation;

/**
 * @Description : 系统启动加载服务
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-01-11 10:02
 * @Modify:
 **/
public interface ISystemInitService {

    /**
     * 系统初始化加载
     */
    @ApiOperation(value = "初始化加载所有数据",notes = "初始化加载所有数据")
    void loadAll();

    /**
     * 加载系统配置
     */
    @ApiOperation(value = "加载系统配置",notes = "加载系统配置")
    void loadSysConfig();

    /**
     * 加载系统字典
     */
    @ApiOperation(value = "加载字典数据",notes = "加载字典数据")
    void loadSysDictionary();

    /**
     * 加载系统语言信息
     */
    @ApiOperation(value = "加载语言数据",notes = "加载语言数据")
    void loadSysLocaleLanguage();

    @ApiOperation(value = "获取缓存中的数据",notes = "获取缓存中的数据")
    Object getDataFromCache(String key,Class dataType);
}
